@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

:root{
    --main-color: #030623;
    --main-color-transparent: rgba(3, 6, 35, 0.5);
    --secondary-color: #D9DADE;
    --white-color: #FFF;
    --red-color:#EF002B;
    --green-color:#56C300;
    --orange-color:#FFA500;
}

*{
    box-sizing: border-box;;
    margin: 0;
    padding: 0;
    font-family: Inter, sans-serif;
    color: var(--main-color)
}
body{
    overflow-x: hidden;
}


/* componentes */
input{
    outline: none;
    border: 1px solid var(--main-color-transparent);
    padding: 5px;
    margin: 10px 0;
    border-radius: 5px;
    width: 100%;
    font-size: 1rem;
    font-weight: 400;
    color: var(--main-color-transparent);
}
a{
    text-decoration: none;
    color: var(--main-color);
}


.container{
    margin: 0 auto;
    width: 100%;
    height: 100%;
}
.content{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px 20px;
    overflow-y: auto;
}

/* frases Principais  */
.phrases{
    display: flex;
    flex-direction: column;
    padding:15px;
    justify-content: center;
    align-items: center;
}
.tittle{
    font-size: 1.4rem;
    font-weight: 500;   
}
.sub-tittle{
    font-size: 0.95rem;
    font-weight: 400;
}

/* login */
.container_form{
    display: flex;
    width:100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 15px ;
}

/* botao que ocupa a largura do container */
.btn-large{
    background-color: var(--main-color);
    color: var(--white-color);
  
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
   
    width: 100%;
    text-align: center;
}

.btn-short{
    background-color: var(--main-color);
    color: var(--white-color);
    padding:  10px;
    border-radius: 10px;
    cursor: pointer;
    width: 50%;

}
#forgot-password{
    color: var(--main-color);
    font-size: 0.8rem;
    font-weight: 400;
    text-align: center;
    margin-top: 10px;
    cursor: pointer;
}
.modal-forgot{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    padding: 10px;
}

/* header das paginas principais */
.header{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 20px;
    border-bottom: 1px solid var(--main-color-transparent);
    width: 100%;
}
/*header das paginas secundarias*/
.header-secondary{
    background-color: var(--main-color);
    width: 100%;
    display: flex;
    padding: 15px;
    gap: 15px;
}
.header-secondary h1{
    color: var(--white-color);
    font-size: 1.5rem;
    font-weight: 500;
}

/*Menu bar das telas principais*/
.menubar{
    position: fixed;
    bottom: 0;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px 0;
    background-color: var(--main-color);
    width: 100%;
    height: 60px;
}


/*estilizações do modal*/
/*modal*/
.modal_container{
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal_content{
    background-color: var(--white-color);
    width: 290px;
    height: 420px;
    border-radius: 15px ;  
    overflow: auto;
}

.modal-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    background-color: var(--main-color);  
    border-radius: 15px 15px 0 0 ;  
}
.modal-header h2{
    color: var(--white-color);
    font-size: 1.2rem;
    font-weight: 500;
}


/*estilização dos alerts(avisos)*/
.alert-container{
    position: fixed;
    top:0;
    width: 100%;
    height: 100%;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 10000;
}

.alert{
    background-color: var(--white-color);
    color: var(--white-color);
    border-radius: 10px;
    text-align: center;
    padding: 20px;
    width:60%;
    height: auto;
    
}

#alert-tittle{
    font-size: 2rem;
    font-weight: 500;
    margin-bottom: 1rem;
}
#alert-info{
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.alert btn{
    background-color: var(--main-color);
    color: var(--white-color);
    padding: 10px 20px;
    border-radius: 10px;
    cursor: pointer;
    margin: 10px 0;
    width: 100%;
    text-align: center;
}
.btns-alert{
    display: flex;
    gap: 15px;
    width:100%;
    justify-content: center; 
}


.container-btn-alert{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.container-loading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}
#gif-loading{
    width: 20px;
    animation: pulse 1s infinite;

}
#img-loading{

    width:80%;

}
.container_password{
    display: flex;
    gap:4px;
    width:100%
}


.icon-eye{
    position: absolute;
    width:20px; 
    height: 20px;
    cursor: pointer;
    z-index: 1;
    margin-right: 10px; 
    margin-bottom: 10px;
    align-self: end;
}

@media (min-width: 628px){

    .container{
        width: 100%;
        
    }
    .content{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 20px 20px;
        overflow-y: auto;
    }

    .container_form{
        width: 50%;        
    }


    .alert{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 40%;
        height: auto;

    }
    #alert-tittle{
        font-size: 3em;
    }
    #alert-info{
        font-size: 1.5em;
    }   
    
    .btn-short{
        width: auto;
        justify-content: center; 
        padding:1em;
 
        
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes spin {
    from {
        transform: rotateY(0deg)

    }
    to {
        transform: rotateY(360deg);
    }
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes fade-in-out {
    
    to{
        transform: translateX(-300px);
    }
    from{
        transform: translateX(200px);
    }
}